libgimpprint API Reference: stp_papersize_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# stp_papersize_t Struct Reference
[papersize]

The papersize data type. More...

`#include <paper.h>`

## Data Fields
char * | name
| Short unique name (not translated).
char * | text
| Long descriptive name (translated).
char * | comment
| Comment.
unsigned | width
| Paper width.
unsigned | height
| Paper height.
unsigned | top
| Top margin.
unsigned | left
| Left margin.
unsigned | bottom
| Bottom margin.
unsigned | right
| Right margin.
stp_papersize_unit_t | paper_unit
| Units of measurement.

## Detailed Description

The papersize data type.

Definition at line 63 of file paper.h.

## Field Documentation

unsigned stp_papersize_t::bottom

| Bottom margin. Definition at line 80 of file paper.h. Referenced by internal_imageable_area(), and stp_xml_process_paper().

char* stp_papersize_t::comment

| Comment. Definition at line 70 of file paper.h. Referenced by stp_xml_process_paper(), and stpi_paper_freefunc().

unsigned stp_papersize_t::height

| Paper height. Definition at line 74 of file paper.h. Referenced by olympus_parameters(), paper_size_mismatch(), stp_default_media_size(), stp_get_papersize_by_size(), stp_xml_process_paper(), and verify_papersize().

unsigned stp_papersize_t::left

| Left margin. Definition at line 78 of file paper.h. Referenced by internal_imageable_area(), and stp_xml_process_paper().

char* stp_papersize_t::name

| Short unique name (not translated). Definition at line 66 of file paper.h. Referenced by escp2_parameters(), olympus_imageable_area(), ps_parameters_internal(), stp_xml_process_paper(), stpi_paper_create(), stpi_paper_destroy(), stpi_paper_freefunc(), stpi_paper_namefunc(), and verify_papersize().

stp_papersize_unit_t stp_papersize_t::paper_unit

| Units of measurement. Definition at line 84 of file paper.h. Referenced by stp_xml_process_paper().

unsigned stp_papersize_t::right

| Right margin. Definition at line 82 of file paper.h. Referenced by internal_imageable_area(), and stp_xml_process_paper().

char* stp_papersize_t::text

| Long descriptive name (translated). Definition at line 68 of file paper.h. Referenced by escp2_parameters(), olympus_parameters(), ps_parameters_internal(), stp_xml_process_paper(), stpi_paper_freefunc(), and stpi_paper_long_namefunc().

unsigned stp_papersize_t::top

| Top margin. Definition at line 76 of file paper.h. Referenced by internal_imageable_area(), and stp_xml_process_paper().

unsigned stp_papersize_t::width

| Paper width. Definition at line 72 of file paper.h. Referenced by olympus_parameters(), paper_size_mismatch(), stp_default_media_size(), stp_get_papersize_by_size(), stp_xml_process_paper(), and verify_papersize().

The documentation for this struct was generated from the following file:

- include/gimp-print/paper.h